Bug 28817 - Кодировка utf8 должна быть явно указана в /usr/share/man/ru/man1/mc.1.bz2
: Кодировка utf8 должна быть явно указана в /usr/share/man/ru/man1/mc.1.bz2
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/mc)
: unstable
: all Linux
: P3 normal
Assigned To:
:
: http://forum.altlinux.org/index.php/t...
:
:
:
  Show dependency tree
 
Reported: 2013-04-09 13:00 by
Modified: 2017-03-23 22:29 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2013-04-09 13:00:23
В связи с тем, что по умолчанию в ALT Linux man-страницы с кириллицей
открываются в кодировке koi8-r, прощу преобразовать
/usr/share/man/ru/man1/mc.1.bz2 из utf-8 в koi8-r.
------- Comment #1 From 2013-04-09 13:38:14 -------
Кажется, это уже давно неактуально:

$ bzcat /usr/share/man/ru/man1/gpg.1.bz2 |head -1
.\" -*- mode: troff; coding: utf8 -*-
------- Comment #2 From 2013-04-09 15:27:11 -------
http://www.midnight-commander.org/ticket/3003
------- Comment #3 From 2013-04-09 22:07:46 -------
mc-4.8.8-alt3 -> sisyphus:

* Tue Apr 09 2013 Sergey Y. Afonin <asy@altlinux> 4.8.8-alt3
- applied patch for mc ticket #3003 (ALT #28817)
------- Comment #4 From 2017-03-23 22:29:08 -------
(In reply to comment #1)

> Кажется, это уже давно неактуально:
> 
> $ bzcat /usr/share/man/ru/man1/gpg.1.bz2 |head -1
> .\" -*- mode: troff; coding: utf8 -*-

Дмитрий, на основании этого произошло много исправлений, и многое стало лучше,
но есть фидбак. Я не нашёл пакет, где есть ru/man1/gpg.1.bz2, а на него надо
повесить минорную ошибку. Вот тут (http://midnight-commander.org/ticket/3239)
написано:

 The manual page is reporting

$ head -n 1 mc.1
.\" -*- mode: troff; coding: utf8 -*-

but the official name should be UTF-8

On cygwin we just switched the man system and the new one
man-db-2.6.7-2 is not tolerant anymore, so the man page fails